Skip to navigation

Sets agent’s status to online for 2-3 minutes

View as Markdown

Sets the agent’s status to online for 2-3 minutes. We recommend pinging this endpoint every minute for as long as the agent has to be considered online. You must provide either agentId alone, or all three of agentEmail + agentName + receivedFrom.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Request

This endpoint expects an object.
agentEmailstringOptionalformat: "email"

Agent’s email address. When sending online pings from a standalone system, it’s hard to maintain a 1-to-1 relationship between the users of both systems. In this case, an agent can be specified by their email address. If there’s no agent with the specified email address in your Brevo organization, a dummy agent will be created automatically.

agentIdstringOptional

Agent ID. It can be found on the agent’s page or received from a webhook. Alternatively, you can use agentEmail + agentName + receivedFrom instead (all 3 fields required).

agentNamestringOptional
Agent's name.
receivedFromstringOptional
Mark your messages to distinguish messages created by you from the others.

Response

Status of the agent was set successfully. Response body will be empty.

Errors

400
Bad Request Error